<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.ShipRunInfoMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.ShipRunInfo">
            <id property="pkId" column="PK_ID" jdbcType="VARCHAR"/>
            <result property="content" column="CONTENT" jdbcType="VARCHAR"/>
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="date" column="DATE" jdbcType="TIMESTAMP"/>
            <result property="electricFirst" column="ELECTRIC_FIRST" jdbcType="DECIMAL"/>
            <result property="electricSecond" column="ELECTRIC_SECOND" jdbcType="DECIMAL"/>
            <result property="insideI" column="INSIDE_I" jdbcType="DECIMAL"/>
            <result property="insideO" column="INSIDE_O" jdbcType="DECIMAL"/>
            <result property="isDelete" column="IS_DELETE" jdbcType="DECIMAL"/>
            <result property="lockClose" column="LOCK_CLOSE" jdbcType="DECIMAL"/>
            <result property="lockOpen" column="LOCK_OPEN" jdbcType="DECIMAL"/>
            <result property="lockOpenDegree" column="LOCK_OPEN_DEGREE" jdbcType="VARCHAR"/>
            <result property="outsideI" column="OUTSIDE_I" jdbcType="DECIMAL"/>
            <result property="outsideO" column="OUTSIDE_O" jdbcType="DECIMAL"/>
            <result property="pumpFlow" column="PUMP_FLOW" jdbcType="DECIMAL"/>
            <result property="pumpPressure" column="PUMP_PRESSURE" jdbcType="DECIMAL"/>
            <result property="pumpTemperature" column="PUMP_TEMPERAURE" jdbcType="DECIMAL"/>
            <result property="time" column="TIME" jdbcType="VARCHAR"/>
            <result property="updateTime" column="UPDATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="valveClose" column="VALVE_CLOSE" jdbcType="DECIMAL"/>
            <result property="valveOpen" column="VALVE_OPEN" jdbcType="DECIMAL"/>
            <result property="valveOpenDegree" column="VALVE_OPEN_DEGREE" jdbcType="DECIMAL"/>
    </resultMap>

    <sql id="Base_Column_List">
        PK_ID,CONTENT,CREATE_TIME,
        DATE,ELECTRIC_FIRST,ELECTRIC_SECOND,
        INSIDE_I,INSIDE_O,IS_DELETE,
        LOCK_CLOSE,LOCK_OPEN,LOCK_OPEN_DEGREE,
        OUTSIDE_I,OUTSIDE_O,PUMP_FLOW,
        PUMP_PRESSURE,PUMP_TEMPERAURE,TIME,
        UPDATE_TIME,VALVE_CLOSE,VALVE_OPEN,
        VALVE_OPEN_DEGREE
    </sql>
</mapper>
